Update a wallet provider
Roles
Analytics Events
/v2/presentations/wallet-providers/{walletProviderId}Updates an existing wallet provider that can present mDocs for online verification.
Analytic events
- CREDENTIAL_PRESENTATION_WALLET_PROVIDER_UPDATE_START
- CREDENTIAL_PRESENTATION_WALLET_PROVIDER_UPDATE_SUCCESS
- CREDENTIAL_PRESENTATION_WALLET_PROVIDER_UPDATE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Unique identifier for the wallet provider.
uuidRequest Body
application/json
Wallet provider payload
Unique identifier for the wallet. This field is compared against the wallet identifier defined in the request by the Verifier Web SDK. Value must be unique amongst configured wallet providers on your tenant.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.vii.au01.mattr.global/v2/presentations/wallet-providers/281d20b3-42a3-40dd-b29a-115ff32b02b7" \ -H "Content-Type: application/json" \ -d '{ "name": "Example wallet provider", "openid4vpConfiguration": { "authorizationEndpoint": "com-example.wallet://" } }'{
"id": "e63a2e46-5afa-48f9-bcc2-2114cf5f331b",
"name": "Example wallet provider",
"openid4vpConfiguration": {
"authorizationEndpoint": "com-example.wallet://"
}
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Retrieve a wallet provider GET
Retrieves an existing wallet provider that can present mDocs for online verification. ### **Analytic events** * CREDENTIAL_PRESENTATION_WALLET_PROVIDER_RETRIEVE_START * CREDENTIAL_PRESENTATION_WALLET_PROVIDER_RETRIEVE_SUCCESS * CREDENTIAL_PRESENTATION_WALLET_PROVIDER_RETRIEVE_FAIL
Delete a wallet provider DELETE
Deletes an existing wallet provider that can present mDocs for online verification. ### **Analytic events** * PRESENTATION_WALLET_PROVIDER_DELETE_START * PRESENTATION_WALLET_PROVIDER_DELETE_SUCCESS * PRESENTATION_WALLET_PROVIDER_DELETE_FAIL